SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000500SiT!triggerspublic2009-02-17 10:272009-08-16 14:39
Reporterivan 
Assigned Tokieran 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000500: Possible to create two identical triggers
DescriptionIt's possible to set up two perfectly identical trigger actions, with identical rules. This serves no purpose and just causes duplicate emails etc.

We should prevent exactly duplicates from being created, if thats possible.
Additional Informationfrom #sit on freenode just now:

[10:22] <martian> I have a slight issue:
[10:22] <martian> SiT appears to send out two auto acknowledgement emails every time - is this a SiT issue or possibly a PHP one? It only happens with the first auto acknowledgement
[10:23] <ericthefish> at a quick guess I'd say that you probably have an extra trigger rule that you don't want
[10:23] <martian> oh ok that's a good clue
[10:23] <ericthefish> not seen that before, but it is triggers that define how that gets sent
[10:24] <martian> y the same trigger was defined twice on "Incident Created"
[10:25] <ericthefish> we could do with putting checks in to stop that happening really
[10:25] * ericthefish logs a bug for it
[10:25] <martian> that's fixed it, thanks
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001119)
paulh (administrator)
2009-05-27 19:44

Should be reasonably straight forward to check for this.

Could also put a key on the table?
User avatar (0001198)
kieran (administrator)
2009-06-13 10:00

Just checked and it's not possible to do it DB side, it exceeds the maximum key length, fairly simply to do in the code though.
User avatar (0001201)
kieran (administrator)
2009-06-13 10:42

Fixed in trunk r5451.
User avatar (0001661)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-02-17 10:27 ivan New Issue
2009-03-25 14:49 kieran Assigned To => kieran
2009-03-25 14:49 kieran Status new => confirmed
2009-03-25 14:49 kieran Target Version => 3.50
2009-05-27 19:44 paulh Note Added: 0001119
2009-06-13 10:00 kieran Note Added: 0001198
2009-06-13 10:00 kieran Status confirmed => assigned
2009-06-13 10:42 kieran Note Added: 0001201
2009-06-13 10:42 kieran Status assigned => resolved
2009-06-13 10:42 kieran Fixed in Version => Current SVN
2009-06-13 10:42 kieran Resolution open => fixed
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001661
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker